Subject: Re: linux-next: wireless tree build failure

From: "John W. Linville" <[email-masked]>
Date: Wed, 22 Apr 2009 09:06:12 -0400

On Wed, Apr 22, 2009 at 11:03:33PM +1000, Stephen Rothwell wrote:
> Hi Johannes,
> 
> On Wed, 22 Apr 2009 10:59:06 +0200 Johannes Berg <[email-masked]> wrote:
> >
> > Fun. Another rfkill problem. It'll get worse -- I have a complete rfkill
> > rewrite in the pipeline. For this part it's easy, just remove
> > user_claim_unsupported use from the driver.
> > 
> > Any suggestions on how to handle the other merge problems?
> 
> Well, the best way (and I know this is simplistic and maybe difficult) is
> to introduce the new rewrite alongside the old code and then slowly move
> the clients of the API over.

Maybe we should put user_claim_unsupported back into struct rfkill
(and deprecate it) for now?

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.